Page MenuHomePhabricator

Support fragments in mw.util.getUrl()
Closed, ResolvedPublic

Description

Currently mw.util.getUrl() does not support fragments.

mw.util.getUrl( 'Title Ä#Fragment Ä', { useskin: 'vector' } )

evaluates to /wiki/Title_%C3%84%23Fragment_%C3%84?useskin=vector.

Expected result: /wiki/Title_%C3%84?useskin=vector#Fragment_.C3.84

Event Timeline

Fomafix created this task.Jun 23 2015, 4:02 PM
Fomafix updated the task description. (Show Details)
Fomafix raised the priority of this task from to Needs Triage.
Fomafix added a project: JavaScript.
Fomafix added a subscriber: Fomafix.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 4:02 PM
He7d3r set Security to None.
Fomafix updated the task description. (Show Details)Jun 24 2015, 8:42 PM
matmarex added a subscriber: matmarex.

I'm going to propose (and mentor) this as a task for Google-Code-In-2015.

matmarex triaged this task as Normal priority.Oct 27 2015, 9:51 PM
Unicornisaurous added a subscriber: Unicornisaurous.

I've claimed this on the GCI website.

Change 260217 had a related patch set uploaded (by Unicornisaurous):
Support fragments in mw.util.getUrl()

https://gerrit.wikimedia.org/r/260217

Change 260217 merged by jenkins-bot:
Support fragments in mw.util.getUrl()

https://gerrit.wikimedia.org/r/260217

Change 260328 had a related patch set uploaded (by Gerrit Patch Uploader):
mediawiki.util: Use correct encoding for fragment in getUrl

https://gerrit.wikimedia.org/r/260328

matmarex closed this task as Resolved.Dec 21 2015, 4:19 PM
matmarex removed a project: Patch-For-Review.
matmarex changed the status of subtask T103661: Reimplement Sanitizer::escapeId in JavaScript from Declined to Resolved.Dec 21 2015, 4:25 PM

Change 260328 merged by jenkins-bot:
mediawiki.util: Use correct encoding for fragment in getUrl

https://gerrit.wikimedia.org/r/260328